:root {
  --color-1: #000000;
  --color-2: #08a794;
  --color-3: #ffffff;
  --color-4: #ffffff;
  --color-5: #ffffff;
  --color-default: #0bd7be;
  --color-hover: #08a794;
  --color-placeholder: #8e8e93;
  --color-readonly: #aaaaaa;
  --color-disabled: #f4f4f4;
  --color-valid: #34c759;
  --color-invalid: #fc346a;
  --color-success: #22a343;
  --color-warning: #f5a623;
  --color-error: #e70340;
  --color-border: #eeeeee;
  --color-background: #ffffff;
  --text-color-1: #000000;
  --text-color-2: #1c1c1c;
  --text-color-3: #8e8e93;
  --text-color-4: #e7e7e9;
  --text-color-5: #ffffff;
}

*,
*:before,
*:after {
  margin: 0px;
  padding: 0px;
  box-sizing: inherit;
  color: inherit;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

html {
  font-family: "Apple SD Gothic Neo", arial, sans-serif;
  font-size: 62.5%;
  box-sizing: border-box;
  color: var(--text-color-1);
}

#loading {
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  position: fixed;
  z-index: 10000;
}

#root ul,
#root ol {
  list-style: none;
}

#root a {
  text-decoration: none;
  padding-bottom: 0.8rem;
}

#root {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

#root .container {
  width: 1086px;
  padding: 0px 1rem;
  margin: 0px auto;
}

/* ì¶”ê°€ */
#root .sub_rsv_leftbox input#latecheckinDT {
  height: 30px;
  padding: 1rem 1rem;
  font-size: 1.4rem;
  position: relative;
  bottom: 1px;
  left: 5px;
}

#root .sub_rsv_leftbox input {
  height: 40px;
}

#root .sub_rsv_leftbox input,
#root .sub_rsv_leftbox textarea {
  font-family: inherit;
  font-size: 1.3rem;
  border: 1px solid var(--color-border);
  border-radius: 5px;
}

#root .sub_rsv_leftbox .gendertype {
  height: 40px;
}

#root .sub_rsv_leftbox .womanarea,
#root .sub_rsv_leftbox .manarea {
  height: 40px;
}

#root .sub_rsv_leftbox .gender_woman,
#root .sub_rsv_leftbox .gender_man {
  line-height: 40px;
}
/* ì¶”ê°€ */

/* input: default */
#root input {
  height: 30px;
  padding: 1.3rem 1.6rem;
}

#root input,
#root textarea {
  font-family: inherit;
  font-size: 1.6rem;
  border: none;
}

#root input:focus,
#root textarea:focus {
  outline: none;
  border-color: var(--color-2);
}

#root input::placeholder,
#root textarea::placeholder {
  color: var(--color-placeholder);
}

#root input:read-only,
#root textarea:read-only {
  color: var(--color-readonly);
}

#root input:read-only:focus,
#root textarea:read-only:focus {
  border-color: var(--color-border);
}

#root input:disabled,
#root textarea:disabled {
  color: var(--color-disabled);
}

#root input.is-valid,
#root textarea.is-valid {
  color: var(--color-valid);
  border: 2px solid var(--color-valid);
}

#root input.is-invalid,
#root textarea.is-invalid {
  color: var(--color-invalid);
  border: 2px solid var(--color-invalid);
}

#root textarea {
  min-height: 100px;
  resize: none;
}

/* checkbox */
#root label.checkbox {
  min-width: 1.8rem;
  min-height: 2rem;
  font-size: 1.6rem;
  line-height: 2rem;
  display: inline-flex;
  align-items: center;
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

#root label.checkbox > input[type="checkbox"] {
  width: 0;
  height: 0;
  opacity: 0;
  position: absolute;
  cursor: pointer;
}

#root label.checkbox > .mark {
  /* width: 2rem;
  height: 2rem; */
  background-color: white;
  border: 1px solid var(--text-color-4);
  border-radius: 5px;
  position: absolute;
}

#root label.checkbox > .mark:after {
  content: "\f00c";
  font-family: "Font Awesome 6 Free";
  font-size: 1.4rem;
  font-weight: bold;
  line-height: 2rem;
  color: var(--color-default);
  display: none;
  position: absolute;
  left: 1px;
}

#root label.checkbox > input[type="checkbox"] ~ .text {
  margin-left: 2.5rem;
}

#root label.checkbox > input[type="checkbox"]:checked ~ .mark:after {
  display: block;
}

#root label.checkbox > input[type="checkbox"]:disabled ~ .text {
  color: var(--color-disabled);
}

#root label.checkbox > input[type="checkbox"]:disabled ~ .mark {
  background: var(--color-disabled);
  border-color: var(--color-disabled);
}

#root label.checkbox:hover > input[type="checkbox"]:disabled ~ .mark {
  border-color: var(--color-disabled);
}

#root label.checkbox > input[type="checkbox"]:checked:disabled ~ .mark {
  background: var(--color-disabled);
  border-color: var(--color-disabled);
}

/* radio button */
#root label.radio-button {
  font-size: 1.6rem;
  padding-left: 2rem;
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

#root label.radio-button > input[type="radio"] {
  width: 0;
  height: 0;
  opacity: 0;
  position: absolute;
  cursor: pointer;
}

#root label.radio-button > .mark {
  width: 1.5rem;
  height: 1.5rem;
  border: 1px solid var(--color-border);
  border-radius: 50%;
  position: absolute;
  bottom: 3px;
  left: 0;
}

#root label.radio-button .mark:after {
  content: "";
  width: 0.7rem;
  height: 0.7rem;
  background: white;
  border-radius: 50%;
  display: none;
  position: absolute;
  top: 3px;
  left: 3px;
}

#root label.radio-button:hover input[type="radio"] ~ .mark {
  border-color: var(--color-2);
}

#root label.radio-button > input[type="radio"]:checked ~ .mark:after {
  background: var(--color-2);
  display: block;
}

#root label.radio-button > input[type="radio"]:disabled ~ .text {
  color: var(--color-disabled);
}

#root label.radio-button > input[type="radio"]:disabled ~ .mark {
  background: var(--color-disabled);
}

#root label.radio-button:hover > input[type="radio"]:disabled ~ .mark {
  background: var(--color-disabled);
  border-color: var(--color-disabled);
}

#root label.radio-button > input[type="radio"]:checked:disabled ~ .mark {
  background: var(--color-disabled);
  border-color: var(--color-disabled);
}

/* <input> : number */
#root [class^="counter"] {
  font-size: 1.3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
#root [class^="counter"] > .label {
  width: 100%;
}

#root [class^="counter"] > input[type="number"]::-webkit-inner-spin-button,
#root [class^="counter"] > input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#root [class^="counter"] > input[type="number"] {
  -moz-appearance: textfield;
  width: 40px;
  height: 40px;
  text-align: center;
  padding: 0px;
  border-left: none;
  border-right: none;
  border-radius: 0px;
}

#root [class^="counter"] > input[type="number"]:read-only {
  color: var(--text-color-1);
}

#root [class^="counter"] > [class^="button"] {
  width: 40px;
  min-width: 40px;
  height: 40px;
  color: var(--text-color-1);
  background: white;
  border: 1px solid var(--color-border);
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

#root [class^="counter"] > [class^="button"].is-disabled {
  color: var(--color-disabled);
}

#root [class^="counter"] > [class^="button"]::after {
  font-family: "Font Awesome 6 Free";
  font-size: 1.1rem;
  font-weight: bold;
  display: block;
}

#root [class^="counter"] > .button-decrease {
  border-radius: 3px 0px 0px 3px;
}

#root [class^="counter"] > .button-increase {
  border-radius: 0px 3px 3px 0px;
}

#root [class^="counter"] > .button-decrease:hover,
#root [class^="counter"] > .button-increase:hover {
  background: white;
  border-color: var(--color-border);
}

#root [class^="counter"] > .button-decrease::after {
  content: "\f068";
}

#root [class^="counter"] > .button-increase::after {
  content: "\2b";
}

/* select box */
#root label.select-box {
  height: 40px;
  position: relative;
  display: block;
}

#root label.select-box::after {
  content: "\f107";
  font-family: "Font Awesome 6 Free";
  font-size: 1.6rem;
  font-weight: bold;
  color: #999999;
  position: absolute;
  top: 8px;
  right: 10px;
}

#root label.select-box > select {
  height: 40px;
  font-family: inherit;
  font-size: 1.6rem;
  color: var(--text-color-3);
  padding-left: 2rem;
  padding-right: 4rem;
  border: 1px solid var(--color-border);
  border-radius: 5px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

#root label.select-box > select:focus {
  outline: none;
  border-color: var(--color-hover);
}

/* button */
#root [class^="button"] {
  width: 100px;
  height: 30px;
  font-family: inherit;
  font-size: 1.6rem;
  color: var(--text-color-1);
  background: var(--color-default);
  padding: 0px;
  border: 1px solid var(--color-default);
  border-radius: 50px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

#root [class^="button"]:hover {
  background: var(--color-hover);
  border-color: var(--color-hover);
}

/* table */
#root [class^="table"] {
  width: 100%;
  font-size: 1.3rem;
  padding-bottom: 1rem;
  overflow-x: auto;
}

#root [class^="table"] > table {
  width: 100%;
  border-spacing: 0px;
  border-top: 2px solid var(--color-1);
}

#root [class^="table"] > table tr {
  height: 36px;
}

#root [class^="table"] > table th {
  background: #f5f7fa; /* var(--color-3) */
  font-weight: bold;
  padding: 1rem 0px;
  border-bottom: 1px solid var(--color-border);
}

#root [class^="table"] > table th:not(:first-child) {
  border-left: 1px solid var(--color-border);
}

#root [class^="table"] > table td {
  font-size: 1.2rem;
  border-bottom: 1px solid var(--color-border);
  padding: 0.2rem;
}

#root [class^="table"] > table td:not(:first-child) {
  border-left: 1px solid var(--color-border);
}

#root [class^="table"] > table td input,
#root [class^="table"] > table td textarea,
#root [class^="table"] > table td select {
  min-width: 100%;
}

/* tooltip */
#root [class^="tooltip"] {
  display: inline-block;
}

#root [class^="tooltip"] > span {
  cursor: pointer;
}

#root [class^="tooltip"]:hover > span {
  color: #1fb0b0;
}

#root [class^="tooltip"] > span + div {
  position: absolute;
  display: none;
  z-index: 1;
}

#root [class^="tooltip"]:hover > span + div {
  background: white;
  padding: 2rem 1.5rem;
  border: 1px solid var(--color-border);
  display: block;
  transform: translate(-25px, 13px);
}

#root [class^="tooltip"] > span + div::before {
  content: "";
  width: 0;
  height: 0;
  border-bottom: 15px solid var(--color-border);
  border-top: 0px solid transparent;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  position: absolute;
  top: -15px;
  left: 20px;
}

#root [class^="tooltip"] > span + div::after {
  content: "";
  width: 0;
  height: 0;
  border-bottom: 15px solid white;
  border-top: 0px solid transparent;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  position: absolute;
  top: -13px;
  left: 20px;
}

#main {
  width: 100%;
  min-width: 1200px;
  padding-bottom: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;
}

/* air datepicker */
.air-datepicker {
  --adp-width: 350px;
  --adp-padding: 30px;
  --adp-font-family: "Pretendard", "Apple SD Gothic Neo", arial, sans-serif;
  --adp-font-size: 14px;
  --adp-day-name-color: #000000;
  --adp-background-color-in-range: #e6fff8;
  --adp-background-color-selected-other-month: #0bd7be;
  --adp-cell-background-color-selected: #0bd7be;
  --adp-cell-background-color-selected-hover: #0bd7be;
  --adp-cell-background-color-in-range: #e6fff8;
  --adp-cell-background-color-in-range-hover: #e6fff8;
  --adp-day-cell-height: 40px;
  --adp-border-radius: 10px;
}

.air-datepicker-body--day-name:first-child {
  color: #e70340;
}

.air-datepicker-cell.-current-:not(.-in-range-) {
  color: #0bd7be;
  background: #e6fff8;
}

.air-datepicker-cell.-selected- {
  background: #0bd7be;
  color: #000000;
}

/* autocomplete */
.ui-menu {
  width: 700px;
  background: white;
  font-size: 1.4rem;
  padding: 1.5rem 3rem;
  border: 1px solid var(--color-border);
  border-radius: 10px;
  margin: 0;
  display: block;
  list-style: none;
}

.ui-menu .ui-menu-item {
  padding: 0.5rem 0px;
  margin: 0;
  width: 100%;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.ui-menu .ui-menu-item:hover {
  color: var(--color-2);
}

.ui-menu .ui-menu-item::before {
  content: "\f3c5";
  font-family: "Font Awesome 6 Free";
  font-weight: bold;
}

.ui-helper-hidden-accessible {
  display: none;
}

.fa-plus {
  vertical-align: middle;
}
